<div style="text-align:center">
  <h1>Add Dog</h1>
  <!-- <input type="text" placeholder="Add Id" #dogId>
  <input type="text" placeholder="Add Name" #dogName>
  <input type="text" placeholder="Add Rasa" #dogRasa>
  <input type="text" placeholder="Add Adopted" #dogAdopted>
  <button (click)="add(dogId.value,dogValue.value,dogRasa.value,dogAdopted.value)">Add Dog</button> -->
  <form #dogForm="ngForm" (ngSubmit)="onSubmit(dogForm.value)">
    <input placeholder="fullname" name="fullname" [(ngModel)]="fullname">
    <input placeholder="rasa" name="rasa" [(ngModel)]="rasa">
    <input placeholder="adopted" name="adopted" [(ngModel)]="adopted">
    <button type="submit">Save</button>
  </form>
</div>

<div *ngFor="let dog of appdogs" style="float:left;padding-left: 25px">
  <h1>Name:{{dog.fullname}}</h1>
  <h3>Rasa:{{dog.rasa}}</h3>
  <h3>Adopted:{{dog.adopted}}</h3>
  <button class="delete" title="delete dog" (click)="delete(dog)">Delete Dog</button>
  <div>

    <input placeholder="fullname" name="fullname" #dogName>
    <button (click)="editDog(dogName.value)">Edit</button>

  </div>
</div>
